<?php


namespace excel;


use PhpOffice\PhpSpreadsheet\Reader\IReadFilter;

class Analysis implements IReadFilter
{
    public $startRow;
    public $endRow;
    public $worksheetName;
    public function readCell($column, $row, $worksheetName = '')
    {
        if ($worksheetName == $this->worksheetName && $row >= ($this->startRow + 1) && $row <= ($this->endRow + 1)) {
            return true;
        }
        return false;
    }
}