<?php


namespace excel;


use PhpOffice\PhpSpreadsheet\Reader\IReadFilter;

class ReadAheadFilter implements IReadFilter
{
    public $record = array();
    private $lastRow = '';
    public function readCell($column, $row, $worksheetName = '')
    {
        if (isset($this->record[$worksheetName])) {
            if ($this->lastRow != $row) {
                $this->record[$worksheetName]++;
                $this->lastRow = $row;
            }
        } else {
            $this->record[$worksheetName] = 1;
            $this->lastRow = $row;
        }
        return false;
    }
}